org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode
      extends com.google.protobuf.GeneratedMessage
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode>` | `PARSER`
    `static int` | `TIMER_INSTANCE_ID_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `getDefaultInstance()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 1;`
    `int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 1;`
    `List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 1;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `newBuilder()`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode prototype)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `newBuilderForType()`
    `protected JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseDelimitedFrom(InputStream input)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseFrom(byte[] data)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseFrom(com.google.protobuf.ByteString data)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseFrom(InputStream input)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, newFileScopedGeneratedExtension, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode> PARSER

    - #### TIMER_INSTANCE_ID_FIELD_NUMBER

          public static final int TIMER_INSTANCE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode getDefaultInstance()

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getTimerInstanceIdList

          public List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder`

    - #### getTimerInstanceIdCount

          public int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder`

    - #### getTimerInstanceId

          public long getTimerInstanceId(int index)

      `repeated int64 timer_instance_id = 1;`
      Specified by:
        `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseFrom(com.google.protobuf.ByteString data)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseFrom(com.google.protobuf.ByteString data,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseFrom(byte[] data)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseFrom(byte[] data,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseFrom(InputStream input)
                                                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseFrom(InputStream input,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseDelimitedFrom(InputStream input)
                                                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseDelimitedFrom(InputStream input,
                                                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseFrom(com.google.protobuf.CodedInputStream input)
                                                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode parseFrom(com.google.protobuf.CodedInputStream input,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder newBuilder()

    - #### newBuilderForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode prototype)

    - #### toBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.